












Beta Observability Evaluations Endpoints
(beta) Observability - Evaluations API.












Examples
Real world code examples
Playground
Test the endpoints live
import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: "MISTRAL_API_KEY",
});
async function run() {
const result = await mistral.beta.observability.evaluations.listPipelines({});
console.log(result);
}
run();
import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: "MISTRAL_API_KEY",
});
async function run() {
const result = await mistral.beta.observability.evaluations.listPipelines({});
console.log(result);
}
run();
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.evaluations.list_pipelines(page_size=50, page=1)
# Handle response
print(res)
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.evaluations.list_pipelines(page_size=50, page=1)
# Handle response
print(res)
curl https://api.mistral.ai/v1/observability/pipelines \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/observability/pipelines \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"pipelines": {
"count": 87
}
}{
"pipelines": {
"count": 87
}
}Create a pipeline
POST /v1/observability/pipelines#
Create a pipeline
Playground
Test the endpoints live
import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: "MISTRAL_API_KEY",
});
async function run() {
const result = await mistral.beta.observability.evaluations.createPipeline({
name: "<value>",
selectors: [],
definitions: [
{
slug: "<value>",
},
],
});
console.log(result);
}
run();
import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: "MISTRAL_API_KEY",
});
async function run() {
const result = await mistral.beta.observability.evaluations.createPipeline({
name: "<value>",
selectors: [],
definitions: [
{
slug: "<value>",
},
],
});
console.log(result);
}
run();
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.evaluations.create_pipeline(name="<value>", selectors=[], definitions=[
{
"slug": "<value>",
},
], enabled=True)
# Handle response
print(res)
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.evaluations.create_pipeline(name="<value>", selectors=[], definitions=[
{
"slug": "<value>",
},
], enabled=True)
# Handle response
print(res)
curl https://api.mistral.ai/v1/observability/pipelines \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"definitions": [
{
"slug": "ipsum eiusmod"
}
],
"name": "My resource",
"selectors": [
{
"source_kind": "span"
}
]
}'curl https://api.mistral.ai/v1/observability/pipelines \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"definitions": [
{
"slug": "ipsum eiusmod"
}
],
"name": "My resource",
"selectors": [
{
"source_kind": "span"
}
]
}'201
{
"created_at": "2025-12-17T10:25:07.818693Z",
"creator_id": null,
"description": null,
"enabled": false,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"name": "My resource",
"pipeline_configs": [
{
"created_at": "2025-12-17T10:25:07.818693Z",
"definition": {
"patterns": [
{
"category": "reprehenderit ut dolore",
"confidence": "occaecat dolor sit",
"name": "My resource",
"regex": "aute aliqua aute commodo"
}
],
"target_attributes": [
"irure"
]
},
"deleted_at": null,
"enabled": false,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"name": "My resource",
"pipeline_kind": "detection-v1",
"scope": "workspace",
"selectors": [
{
"source_kind": "span"
}
],
"slug": "nisi minim commodo irure minim",
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}
],
"selectors": [
{
"source_kind": "span"
}
],
"slug": "occaecat",
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}{
"created_at": "2025-12-17T10:25:07.818693Z",
"creator_id": null,
"description": null,
"enabled": false,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"name": "My resource",
"pipeline_configs": [
{
"created_at": "2025-12-17T10:25:07.818693Z",
"definition": {
"patterns": [
{
"category": "reprehenderit ut dolore",
"confidence": "occaecat dolor sit",
"name": "My resource",
"regex": "aute aliqua aute commodo"
}
],
"target_attributes": [
"irure"
]
},
"deleted_at": null,
"enabled": false,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"name": "My resource",
"pipeline_kind": "detection-v1",
"scope": "workspace",
"selectors": [
{
"source_kind": "span"
}
],
"slug": "nisi minim commodo irure minim",
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}
],
"selectors": [
{
"source_kind": "span"
}
],
"slug": "occaecat",
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}Playground
Test the endpoints live
import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: "MISTRAL_API_KEY",
});
async function run() {
const result = await mistral.beta.observability.evaluations.getPipeline({
pipelineId: "aafed470-377a-4e11-85ec-e5de5b40c79f",
});
console.log(result);
}
run();
import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: "MISTRAL_API_KEY",
});
async function run() {
const result = await mistral.beta.observability.evaluations.getPipeline({
pipelineId: "aafed470-377a-4e11-85ec-e5de5b40c79f",
});
console.log(result);
}
run();
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.evaluations.get_pipeline(pipeline_id="aafed470-377a-4e11-85ec-e5de5b40c79f")
# Handle response
print(res)
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.evaluations.get_pipeline(pipeline_id="aafed470-377a-4e11-85ec-e5de5b40c79f")
# Handle response
print(res)
curl https://api.mistral.ai/v1/observability/pipelines/{pipeline_id} \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/observability/pipelines/{pipeline_id} \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"created_at": "2025-12-17T10:25:07.818693Z",
"creator_id": null,
"description": null,
"enabled": false,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"name": "My resource",
"pipeline_configs": [
{
"created_at": "2025-12-17T10:25:07.818693Z",
"definition": {
"patterns": [
{
"category": "reprehenderit ut dolore",
"confidence": "occaecat dolor sit",
"name": "My resource",
"regex": "aute aliqua aute commodo"
}
],
"target_attributes": [
"irure"
]
},
"deleted_at": null,
"enabled": false,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"name": "My resource",
"pipeline_kind": "detection-v1",
"scope": "workspace",
"selectors": [
{
"source_kind": "span"
}
],
"slug": "nisi minim commodo irure minim",
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}
],
"selectors": [
{
"source_kind": "span"
}
],
"slug": "occaecat",
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}{
"created_at": "2025-12-17T10:25:07.818693Z",
"creator_id": null,
"description": null,
"enabled": false,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"name": "My resource",
"pipeline_configs": [
{
"created_at": "2025-12-17T10:25:07.818693Z",
"definition": {
"patterns": [
{
"category": "reprehenderit ut dolore",
"confidence": "occaecat dolor sit",
"name": "My resource",
"regex": "aute aliqua aute commodo"
}
],
"target_attributes": [
"irure"
]
},
"deleted_at": null,
"enabled": false,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"name": "My resource",
"pipeline_kind": "detection-v1",
"scope": "workspace",
"selectors": [
{
"source_kind": "span"
}
],
"slug": "nisi minim commodo irure minim",
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}
],
"selectors": [
{
"source_kind": "span"
}
],
"slug": "occaecat",
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}Update a pipeline
PUT /v1/observability/pipelines/{pipeline_id}#
Update a pipeline
definitions#
description#
enabled#
name#
selectors#
Playground
Test the endpoints live
import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: "MISTRAL_API_KEY",
});
async function run() {
const result = await mistral.beta.observability.evaluations.updatePipeline({
pipelineId: "99632c18-966b-48d2-8d1f-b02c9a9bf9df",
updatePipelineRequest: {},
});
console.log(result);
}
run();
import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: "MISTRAL_API_KEY",
});
async function run() {
const result = await mistral.beta.observability.evaluations.updatePipeline({
pipelineId: "99632c18-966b-48d2-8d1f-b02c9a9bf9df",
updatePipelineRequest: {},
});
console.log(result);
}
run();
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.evaluations.update_pipeline(pipeline_id="2c18966b-8d2d-41fb-a02c-9a9bf9df2919")
# Handle response
print(res)
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.evaluations.update_pipeline(pipeline_id="2c18966b-8d2d-41fb-a02c-9a9bf9df2919")
# Handle response
print(res)
curl https://api.mistral.ai/v1/observability/pipelines/{pipeline_id} \
-X PUT \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{}'curl https://api.mistral.ai/v1/observability/pipelines/{pipeline_id} \
-X PUT \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{}'200
{
"created_at": "2025-12-17T10:25:07.818693Z",
"creator_id": null,
"description": null,
"enabled": false,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"name": "My resource",
"pipeline_configs": [
{
"created_at": "2025-12-17T10:25:07.818693Z",
"definition": {
"patterns": [
{
"category": "reprehenderit ut dolore",
"confidence": "occaecat dolor sit",
"name": "My resource",
"regex": "aute aliqua aute commodo"
}
],
"target_attributes": [
"irure"
]
},
"deleted_at": null,
"enabled": false,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"name": "My resource",
"pipeline_kind": "detection-v1",
"scope": "workspace",
"selectors": [
{
"source_kind": "span"
}
],
"slug": "nisi minim commodo irure minim",
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}
],
"selectors": [
{
"source_kind": "span"
}
],
"slug": "occaecat",
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}{
"created_at": "2025-12-17T10:25:07.818693Z",
"creator_id": null,
"description": null,
"enabled": false,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"name": "My resource",
"pipeline_configs": [
{
"created_at": "2025-12-17T10:25:07.818693Z",
"definition": {
"patterns": [
{
"category": "reprehenderit ut dolore",
"confidence": "occaecat dolor sit",
"name": "My resource",
"regex": "aute aliqua aute commodo"
}
],
"target_attributes": [
"irure"
]
},
"deleted_at": null,
"enabled": false,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"name": "My resource",
"pipeline_kind": "detection-v1",
"scope": "workspace",
"selectors": [
{
"source_kind": "span"
}
],
"slug": "nisi minim commodo irure minim",
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}
],
"selectors": [
{
"source_kind": "span"
}
],
"slug": "occaecat",
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}Playground
Test the endpoints live
import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: "MISTRAL_API_KEY",
});
async function run() {
await mistral.beta.observability.evaluations.deletePipeline({
pipelineId: "eb888b07-60a4-490b-9515-f6b32ee11ccf",
});
}
run();
import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: "MISTRAL_API_KEY",
});
async function run() {
await mistral.beta.observability.evaluations.deletePipeline({
pipelineId: "eb888b07-60a4-490b-9515-f6b32ee11ccf",
});
}
run();
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
mistral.beta.observability.evaluations.delete_pipeline(pipeline_id="eb888b07-60a4-490b-9515-f6b32ee11ccf")
# Use the SDK ...
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
mistral.beta.observability.evaluations.delete_pipeline(pipeline_id="eb888b07-60a4-490b-9515-f6b32ee11ccf")
# Use the SDK ...
curl https://api.mistral.ai/v1/observability/pipelines/{pipeline_id} \
-X DELETE \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json'curl https://api.mistral.ai/v1/observability/pipelines/{pipeline_id} \
-X DELETE \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json'List evaluations for a project
GET /v1/observability/projects/{project_slug}/evaluations_v2#
List evaluations for a project
200
Successful Response
Playground
Test the endpoints live
import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: "MISTRAL_API_KEY",
});
async function run() {
const result = await mistral.beta.observability.evaluations.list({
projectSlug: "<value>",
});
console.log(result);
}
run();
import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: "MISTRAL_API_KEY",
});
async function run() {
const result = await mistral.beta.observability.evaluations.list({
projectSlug: "<value>",
});
console.log(result);
}
run();
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.evaluations.list(project_slug="<value>", page_size=50, page=1)
# Handle response
print(res)
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.evaluations.list(project_slug="<value>", page_size=50, page=1)
# Handle response
print(res)
curl https://api.mistral.ai/v1/observability/projects/{project_slug}/evaluations_v2 \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/observability/projects/{project_slug}/evaluations_v2 \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"evaluations": {
"count": 87
}
}{
"evaluations": {
"count": 87
}
}Playground
Test the endpoints live
import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: "MISTRAL_API_KEY",
});
async function run() {
const result = await mistral.beta.observability.evaluations.get({
evaluationSlug: "<value>",
});
console.log(result);
}
run();
import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: "MISTRAL_API_KEY",
});
async function run() {
const result = await mistral.beta.observability.evaluations.get({
evaluationSlug: "<value>",
});
console.log(result);
}
run();
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.evaluations.get(evaluation_slug="<value>")
# Handle response
print(res)
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.evaluations.get(evaluation_slug="<value>")
# Handle response
print(res)
curl https://api.mistral.ai/v1/observability/evaluations_v2/{evaluation_slug} \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/observability/evaluations_v2/{evaluation_slug} \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"created_at": "2025-12-17T10:25:07.818693Z",
"creator_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"deleted_at": null,
"description": null,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"metadata_": [
null
],
"name": "My resource",
"project_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"slug": "nostrud",
"tags": [
"aute aliqua aute commodo"
],
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}{
"created_at": "2025-12-17T10:25:07.818693Z",
"creator_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"deleted_at": null,
"description": null,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"metadata_": [
null
],
"name": "My resource",
"project_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"slug": "nostrud",
"tags": [
"aute aliqua aute commodo"
],
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}